Bug 24126 - Article requests tab appears twice on patron's checkout screen
Summary: Article requests tab appears twice on patron's checkout screen
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Marcel de Rooy
URL: http://devs.bywatersolutions.com/proj...
Keywords:
Depends on: 14697
Blocks:
  Show dependency treegraph
 
Reported: 2019-11-26 17:29 UTC by Owen Leonard
Modified: 2019-12-16 17:41 UTC (History)
26 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.01


Attachments
Bug 24126: Article requests tab appears twice on patron's checkout screen (1.62 KB, patch)
2019-11-26 17:41 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24126: Article requests tab appears twice on patron's checkout screen (1.70 KB, patch)
2019-11-26 17:46 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 24126: Article requests tab appears twice on patron's checkout screen (1.77 KB, patch)
2019-11-29 07:54 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-11-26 17:29:47 UTC
Added by Bug 14697, the "Article requests" tab on the patron checkout screen now appears twice. Presumably a merge error.
Comment 1 Owen Leonard 2019-11-26 17:41:17 UTC
Created attachment 95837 [details] [review]
Bug 24126: Article requests tab appears twice on patron's checkout screen

This patch removes duplicated markup on the checkout page which results
in the "Article requests" tab appearing twice.

To test, apply the patch and enable ArticleRequests.

Check out to a patron. In the set of tabs that includes checkouts,
holds, restrictions, etc., the "Article requests" tab should appear only
once.
Comment 2 Kyle M Hall 2019-11-26 17:46:06 UTC
Created attachment 95838 [details] [review]
Bug 24126: Article requests tab appears twice on patron's checkout screen

This patch removes duplicated markup on the checkout page which results
in the "Article requests" tab appearing twice.

To test, apply the patch and enable ArticleRequests.

Check out to a patron. In the set of tabs that includes checkouts,
holds, restrictions, etc., the "Article requests" tab should appear only
once.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 3 Marcel de Rooy 2019-11-29 07:54:21 UTC
Created attachment 95869 [details] [review]
Bug 24126: Article requests tab appears twice on patron's checkout screen

This patch removes duplicated markup on the checkout page which results
in the "Article requests" tab appearing twice.

To test, apply the patch and enable ArticleRequests.

Check out to a patron. In the set of tabs that includes checkouts,
holds, restrictions, etc., the "Article requests" tab should appear only
once.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Marcel de Rooy 2019-11-29 07:55:15 UTC
Removed Release Notes text. Does not apply here.
Comment 5 Martin Renvoize 2019-12-09 14:36:04 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2019-12-16 17:41:50 UTC
Pushed to 19.11.01